body 
{ 
	font-family: "Trebuchet MS"; 
	font-size:12px; 
}

a:link, a:visited 
{ 
	color: #FFFFFF;
	text-decoration: none;
}

.leftAlign { text-align: left; }
.rightAlign { text-align: right; }

table.calendar
{
	table-layout: fixed;
	font-size:11px;
	border-collapse: collapse;
}

th.calendar
{
	border: 1px solid #DDDDDD;
	padding-top: 6px;
	padding-bottom: 6px;
	background-color: #0A7ED0;
	color: white;
}

td.calendar 
{
	border: 1px solid #DDDDDD;
	text-align: left;
	vertical-align: top;
	padding: 8px;
	width: 150px;
}

td.dark-shadow { background-color: #666666; }
td.light-shadow { background-color: #E2E2E2; }

tr.calendar:nth-child(odd){ height: 25px; background-color: #05568D; color: white; }
tr.calendar:nth-child(even){ height: 70px}

.label 
{
	display: inline-block;
	padding: 2px 4px;
	margin: 1px;
	font-weight: bold;
	color: #FFFFFF;
	white-space: nowrap;
	text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.4);
	background-color: #999999;
	border-radius: 3px;
}
.label-theme { background-color: #05568D; }
.label-important { background-color: #990000;}
.label-tag { background-color: #333333; }
.label-lupetti { background-color: #B335AF; }
.label-reparto { background-color: #CF5300; }
.label-clan { background-color: #4CAF50; }

.label-inverse
{
	display: inline-block;
	padding: 2px 4px;
	font-weight: bold;
	text-shadow: 0 1px 0 rgba(0, 0, 0, 0);
	background-color: #999999;
	border-radius: 3px;
}
.label-important-inverse { color: #990000;  background-color: #FFFFFF; }
.label-theme-inverse { color: #05568D;  background-color: #FFFFFF; }
.label-dwarf { padding-top: 0; padding-bottom: 0; }

.label-calendar-entry 
{ 
	max-width: 105px;
	overflow: hidden;
	text-overflow: ellipsis;
}

.tooltip 
{
	position: relative;
	display: inline-block;
}

.tooltip .tooltiptext 
{
	visibility: hidden;
	padding: 5px 0;

	opacity: 0;
	transition: opacity 1s;

	position: absolute;
	z-index: 1;

	background-color: #FFFFFF;
	border-radius: 6px;
	border-style: solid;
	border-color: #333333;
}

table.tooltiptext-info
{
	font-size:11px;
	border-collapse: collapse;
	white-space: nowrap;
	margin: 0px 8px;
}

.tooltip .tooltiptext-above-right { bottom: 0%; left: 110%; }
.tooltip .tooltiptext-above-right::after 
{
    content: " ";
    position: absolute;
    bottom: 0;
    left: -16px;
    border-width: 6px;
    border-style: solid;
    border-color: transparent #333333 transparent transparent;
}

.tooltip .tooltiptext-above-left { bottom: 0%; right: 110%; }
.tooltip .tooltiptext-above-left::after 
{
    content: " ";
    position: absolute;
    bottom: 0;
    right: -16px;
    border-width: 6px;
    border-style: solid;
    border-color: transparent transparent transparent #333333;
}

.tooltip .tooltiptext-below-right { top: 0%; left: 110%; }
.tooltip .tooltiptext-below-right::after 
{
    content: " ";
    position: absolute;
    top: 0;
    left: -16px;
    border-width: 6px;
    border-style: solid;
    border-color: transparent #333333 transparent transparent;
}

.tooltip .tooltiptext-below-left { top: 0%; right: 110%; }
.tooltip .tooltiptext-below-left::after 
{
    content: " ";
    position: absolute;
    top: 0;
    right: -16px;
    border-width: 6px;
    border-style: solid;
    border-color: transparent transparent transparent #333333;
}

.tooltip .tooltiptext-above { bottom: 120%; }
.tooltip .tooltiptext-below { top: 120%; }

/* Show the tooltip text when you mouse over the tooltip container */
.tooltip:hover .tooltiptext 
{
	visibility: visible;
	opacity: 1;
}

/* Tooltip arrow */
.tooltip .tooltiptext-above::after 
{
	content: "";
	position: absolute;
	left: 20px;
	border-width: 6px;
	border-style: solid;
	bottom: -15px; 
	border-color: #333333 transparent transparent transparent;
}

.tooltip .tooltiptext-below::after 
{
	content: "";
	position: absolute;
	left: 20px;
	border-width: 6px;
	border-style: solid;
	top: -15px; 
	border-color: transparent transparent #333333 transparent;
}

table.detail
{
	font-size:12px;
	border-collapse: collapse;
}

table.detail td { padding: 5px 2px; }

div.cell-wrapper 
{
	display: flex; 
	flex-wrap: wrap;
}

.wrapper-item-boss { flex: 1 70%; }

div.flex-container 
{
    display: flex;
    flex-wrap: wrap;
	align-items:flex-start;
	align-content:flex-start;
	justify-content: center;
	width: 1050px;
    margin:30px auto;
    background-color: #FFFFFF;
}

div.flex-item 
{
    padding: 9px;
	margin: 5px;	
    border: 1px solid #05568D;
    margin-bottom: 30px;
    border-radius: 3px;
}

div.no-border { border: 0; }
div.short { width: 180px; }
div.medium { width: 320px; }
div.long { width: 1020px; }

div.flex-item .sticker
{
    display: flex;
    float: left;
    margin-top: -19px;
    background: #FFFFFF;
    height: 14px;
    padding: 2px 5px 2px 5px;
    color: #05568D;
    font-size: 12px;
    overflow: hidden;
}

div.flex-item span
{
    background: #05568D;
    display: block;
    padding: 3px;
    margin: 0 -9px -9px -9px;
    text-align: center;
    color: FFFFFF;
    font-size: 11px;
}

div.flex-item span.alt { background: #0B7208; }

div.flex-item input[type="text"],
div.flex-item input[type="date"],
div.flex-item input[type="time"],
div.flex-item textarea,
div.flex-item select 
{
    box-sizing: border-box;
    width: 100%;
    outline: none;
    border: none;
    height: 25px;
    line-height: 25px;
    font-size: 12px;
    padding: 0;
}
div.flex-item input[type="text"],
div.flex-item textarea,
div.flex-item select 
{
    width: 100%;
}
div.flex-item input[type="date"]
{
    width: 65%;
}
div.flex-item input[type="time"]
{
    width: 35%;
}
div.flex-item input[type="text"]:focus,
div.flex-item input[type="date"]:focus,
div.flex-item input[type="time"]:focus,
div.flex-item textarea:focus,
div.flex-item select:focus 
{
}

div.flex-item textarea
{
    resize:none;
	height: 100px;
}

div.flex-item input[type="submit"],
div.flex-item input[type="button"]
{
    box-shadow: inset 0px 1px 0px 0px #3985B1;
    background-color: #05568D;
    border: 1px solid #17445E;
    display: inline-block;
    cursor: pointer;
    color: #FFFFFF;
    padding: 8px 18px;
    text-decoration: none;
    font-size: 12px;
}

div.flex-item input[type="submit"]:hover,
div.flex-item input[type="button"]:hover
{
    background: #0A7ED0;
}

div.clickable { cursor: pointer; }
.centered-text { text-align: center; }
.important-text { font-size: 24px; font-weight: bold; padding-right: 30px; }
div.forced-to-right { margin-left: auto; }
